import numpy as np
import h5py
import matplotlib.pyplot as plt

filename='GPMCOR_DPR_1406302359_0131_001919_L2S_DD2_05a.EORC.h5'
mode='MS'


with h5py.File(filename,"r") as infile: 
    #convert data to numpy ndarray
    Lat=np.array(infile[mode+'/Latitude']).T
    Lon=np.array(infile[mode+'/Longitude']).T
    Lon=np.unwrap(Lon)
    precipRateESurf=np.array(infile[mode+'/SLV/precipRateESurface']).T
    Ze=np.array(infile[mode+'/SLV/zFactorCorrected']).T 
    # see file specification guide about the directories and parameters
    Nscan=Lon.shape[0]  # total number of scan
    Nray=Lon.shape[1]   # number of FOV(number of angle)

Ze.shape #nbin,nray,nscan

plt.plot(Ze[:,9,7093],'.-')
plt.ylim(0,40)
plt.xlim(150,175)
plt.xlabel('rangebins')
plt.ylabel('radar refrectivity[dBZe]')
plt.show()
plt.close()
